<template>
    <div class="resultContainer pt-8">
        <v-row align-center
               justify-center
               row
               fill-height>
            <v-col cols="12"
                   sm="12"
                   md="4"
                   lg="4"
                   class="px-md-0">
                <bronze-pricing-card
                    :submit="submit"
                    :height-plan="'580'"
                    @choosePackage="getPricingPlanData"/>
            </v-col>
            <v-col cols="12"
                   sm="12"
                   md="4"
                   lg="4"
                   class="px-md-0">
                <silver-pricing-card :silver-selected-plan="silverSelectedPlan"
                                     :submit="submit"
                                     :height-plan="silverSelectedPlan ? '615' : '580'"
                                     @choosePackage="getPricingPlanData"/>
            </v-col>
            <v-col cols="12"
                   sm="12"
                   md="4"
                   lg="4"
                   class="px-md-0">
                <gold-pricing-card
                    :submit="submit"
                    :height-plan="'580'"
                    @choosePackage="getPricingPlanData"/>
            </v-col>
        </v-row>
    </div>
</template>

<script>
import BronzePricingCard from './pricing/cards/BronzePricingCard'
import GoldPricingCard from './pricing/cards/GoldPricingCard'
import { mapActions } from 'vuex'
import router from './../router'
import SilverPricingCard from './pricing/cards/SilverPricingCard'

export default {
    name: 'PricingCards',
    components: {
        'bronze-pricing-card': BronzePricingCard,
        'gold-pricing-card': GoldPricingCard,
        'silver-pricing-card': SilverPricingCard
    },
    data: () => ({
        loading: false,
        pricingPlan: null,
        silverSelectedPlan: true,
    }),
    methods: {
        ...mapActions(['updatePricingPlan']),
        getPricingPlanData(data) {
            this.pricingPlan = data;
            sessionStorage.setItem('princingPlan', data.name);
        },
        submit () {
            setTimeout( () => {
                this.updatePricingPlan(this.pricingPlan.name).then(() => {
                    router.push({ name: 'Checkout'})
                }, 0)
            })
        }
    }
}
</script>

<style lang="scss" scoped>
    @font-face {
        font-family: Pacifico;
        src: url('../assets/fonts/Pacifico-Regular.ttf');
    }

    .selected {
        border-bottom: 3px solid #0b9e9e;
        top: -15px;
        z-index: 1;
        -webkit-box-shadow: -2px 2px 30px -4px rgba(0, 0, 0, 0.68);
        -moz-box-shadow: -2px 2px 30px -4px rgba(0, 0, 0, 0.68);
        box-shadow: -2px 2px 30px -4px rgba(0, 0, 0, 0.68);
        @media(max-width: 960px) {
            top: 0;
        }
    }

    .pricing-description {
        text-align: justify;
    }

    .v-card__title {
        flex-direction: column;
    }

    .pricing-cards {
        cursor: initial;
        @media(max-width: 960px) {
            margin: 0 auto;
        }
    }
</style>
